//+------------------------------------------------------------------+
//|                                                      ProjectName |
//|                                      Copyright 2011, CompanyName |
//|                                       http://www.companyname.net |
//+------------------------------------------------------------------+
#include <Trade\Trade.mqh> 
#include <Trade\AccountInfo.mqh> 

#property version   "1.00"
#property description "1.00"



double Lots=0.1;                      //     
input double _stop=-599.0;             //      
input double _profit=9.0;             //      

CTrade trade;                         //   CTrade
CAccountInfo acc_info;

MqlDateTime dtime;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnTick()
  {
   TimeCurrent(dtime);
   static int lasthour,countOrderForLargeLot=0;
   if(acc_info.Profit()<_stop && countOrderForLargeLot<=0)
     {
      Close();
      Lots=5.0;
      countOrderForLargeLot=5;
     }
   if((acc_info.Profit()>_profit && Lots<5.0) || (acc_info.Profit()>_profit*50 && Lots>0.1))
     {
      Close();
      countOrderForLargeLot--;
     }
   if(lasthour==dtime.hour){return;}
   lasthour=dtime.hour;

   if(dtime.hour==23 && PositionsTotal()==0)
     {
     if(countOrderForLargeLot<=0){Lots=0.1;}
      Open_trade(0,Lots);
     }
   return;
  }
//+------------------------------------------------------------------+

void Open_trade(int  type,double inlot)
  {
   bool ok;

   if(AccountInfoDouble(ACCOUNT_FREEMARGIN)>1500 && type==0) //       
     {
      ok=trade.PositionOpen(_Symbol,
                            ORDER_TYPE_BUY,//   
                            inlot,//    
                            SymbolInfoDouble(_Symbol,SYMBOL_ASK),//   ask 
                            0.0,// Stop Loss
                            0.0,// Take Profit 
                            "exp");
     }

   if(AccountInfoDouble(ACCOUNT_FREEMARGIN)>1500 && type==1) //       
     {
      ok=trade.PositionOpen(_Symbol,
                            ORDER_TYPE_SELL,//   
                            inlot,//    
                            SymbolInfoDouble(_Symbol,SYMBOL_BID),//   ,bid 
                            0.0,// Stop Loss
                            0.0,// Take Profit 
                            "exp");
     }
  }
//+------------------------------------------------------------------+
void Close()
  {
   bool ok;
   ok=trade.PositionClose(_Symbol,-1);
   return;
  }
//+------------------------------------------------------------------+
